%define enable_ff 0

%if %{enable_ff}
%define ff_flags --enable-mozilla
%else
%define ff_flags --disable-mozilla
%endif

Distribution:   CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Summary:	vlc is a multi-platform MPEG, DVD, and DivX player.
Name:		vlc 
Version:	0.8.6i
Release:	1
License:	GNU/GPL 
URL:		http://www.videolan.org
Group:		Multimedia
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.png
Source2:	%{name}.desktop
Source3:	FreeSerifBold.ttf
Source4:	http://download.videolan.org/pub/videolan/vlc/0.8.5/contrib/ffmpeg-20060710.tar.bz2
#Patch0:		vlc-ffmpegincludes.patch
Patch1:		110_all_dtspic.patch
Patch2:		130_all_textrels.patch 
Patch3:		180_all_faad.patch
Patch4:		190_all_strict-aliasing.patch
Patch5:		200_all_nonpermissive.patch
Patch6:		220_all_firefox.patch
Patch7:		290_all_altivec.patch
Patch8:		330_all_libdca.patch
Patch9:		vlc-libcdio-enable-paranoia.patch
Patch10:	freetype-default-font.patch
Patch11:	vlc-wxwidgets-gcc41.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ffmpeg-devel >= 0.4.9pre1_p20061125
BuildRequires:	gtk2+-devel >= 2.8.3
BuildRequires:  flac-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libICE-devel libSM-devel
BuildRequires:  ORBit2-devel
BuildRequires:  SDL-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXv-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  liba52-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  avahi-devel
BuildRequires:  glibc-devel
BuildRequires:  libcdio-devel
BuildRequires:  libcddb-devel
BuildRequires:  dbus-devel
BuildRequires:  libdc1394-devel
BuildRequires:  libdts-devel
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdread-devel
BuildRequires:  esound-devel
BuildRequires:  faac-devel
BuildRequires:  faad2-devel
BuildRequires:  freetype-devel
BuildRequires:  fribidi-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gnutls-devel
BuildRequires:  hal-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  lame-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:  libraw1394-devel
BuildRequires:  librsvg-devel
BuildRequires:  speex-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtheora-1.0-devel
BuildRequires:  libtiff-devel
BuildRequires:  vcdimager-devel
BuildRequires:  libvorbis-devel
BuildRequires:  wxGTK-devel
BuildRequires:  x264-devel
BuildRequires:  libxml2-devel
BuildRequires:  xosd-devel
BuildRequires:  xvidcore-devel
BuildRequires:  zlib-devel
BuildRequires:  libdvbpsi-devel
BuildRequires:	svgalib-devel
BuildRequires:	arts-devel
BuildRequires:	ncurses-devel
BuildRequires:	fribidi-devel
BuildRequires:	SDL_image-devel
BuildRequires:	samba-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libshout-devel
BuildRequires:	DirectFB-devel
BuildRequires:	libnotify-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	aalib-devel
BuildRequires:	live-devel
#BuildRequires:	libdvdplay-devel
#BuildRequires:	libebml-devel
#BuildRequires:	libmatroska
#BuildRequires:	libggi-devel

Requires:	ffmpeg >= 0.4.9pre1_p20061125


# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
VLC (initially VideoLAN Client) is a highly portable multimedia player for
various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...)
as well as DVDs, VCDs, and various streaming protocols.
For more details see: http://www.videolan.org

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%if %{enable_ff}
%package        firefox-plugin
Summary:        %{name} firefox-plugin.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    firefox-plugin
%{name} firefox-plugin.
%endif

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version} -a 4

# Patch to compile with actual ffmpeg

#%patch0 -p1

# Patches from Gentoo

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

# Fix build errors with libcdio >= 0.80

#%patch9

# Set default freetype font

%patch10 -p1

# fix compiling of wxwidgets and gcc 4.1

%patch11

%build
cd ffmpeg
./configure --disable-shared --enable-gpl --enable-pp \
	--enable-mp3lame --enable-faad \
	--enable-faac --enable-a52
make %{?_smp_mflags}
cd -
#export CFLAGS="$CFLAGS -I/usr/include/libswscale -I/usr/include/libavformat -I/usr/include/directfb"
#export CXXFLAGS="$CXXFLAGS -I/usr/include/libswscale -I/usr/include/libavformat -I/usr/include/directfb"
./bootstrap
./configure \
--enable-release \
--with-ffmpeg-tree=ffmpeg \
--prefix=%_prefix \
--disable-dependency-tracking  \
--enable-live555 \
--with-live55-tree=/usr/lib/liveMedia \
--enable-vlm \
--enable-sout \
--enable-freetype \
--enable-httpd \
--enable-gnutls \
--enable-v4l \
--enable-cdda \
--enable-cddax \
--enable-libcddb \
--enable-kde \
--enable-vcd \
--enable-vcdx \
--enable-xvideo \
--enable-a52 \
--enable-dvdread \
--enable-flac \
--enable-vorbis \
--enable-x11 \
--enable-xvideo \
--enable-xinerama \
--enable-glx \
--enable-opengl \
--enable-fribidi \
--enable-svga \
--enable-aa \
--enable-esd \
--enable-oss \
--enable-arts \
--enable-alsa \
--enable-ncurses \
--enable-mad \
--enable-a52 \
--enable-dts \
--enable-libmpeg2 \
--enable-gnomevfs \
--enable-xosd \
--enable-theora \
--enable-galaktos \
--enable-sdl \
--enable-sdl-image \
--enable-png \
--enable-libxml2 \
--enable-svg \
--enable-dvb \
--enable-corba \
--enable-mod \
--enable-speex \
--enable-shout \
--enable-pvr \
--enable-dvdread \
--enable-dvdnav \
--enable-rtsp \
--enable-realrtsp \
--enable-loader \
--enable-skins2 \
--enable-hal \
--enable-bonjour \
--enable-optimize-memory \
--enable-notify \
--enable-jack \
--enable-mpc \
--enable-x264 \
--enable-ffmpeg \
--disable-faad \
--disable-dv \
--disable-libvc1 \
--disable-snapshot \
--disable-growl \
--disable-pth \
--disable-portaudio \
--disable-libtar \
--disable-optimizations \
--enable-utf8 \
--enable-libtool \
--enable-smb \
--disable-dc1394 \
--enable-wxwidgets \
%{ff_flags} 
#--enable-dc1394 \
#--enable-directfb \
#--disable-smb
#--enable-mkv
#--enable-libcaca
#--enable-lirc
#--enable-ggi
#--enable-daap
#--enable-upnp
				
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
sed -i "s#progdir=.*#progdir=%_libdir/vlc#" $RPM_BUILD_ROOT%_bindir/vlc
install -m 755 -d $RPM_BUILD_ROOT%_applications
install -m 755 -d $RPM_BUILD_ROOT%_pixmaps
install -m 755 -d $RPM_BUILD_ROOT%_datadir/vlc/fonts
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%_datadir/vlc/fonts/FreeSerifBold.ttf
#install -m 755 .libs/vlc $RPM_BUILD_ROOT%_libdir/vlc/vlc
cp %{SOURCE1} $RPM_BUILD_ROOT%_pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%_applications
%if %{enable_ff}
mv %{buildroot}%_libdir/mozilla %{buildroot}%_libdir/firefox
%endif
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/svlc
%_bindir/vlc
#%_bindir/cvlc
#%_bindir/qvlc
#%_bindir/rvlc
%_bindir/wxvlc
#%_libdir/vlc/vlc
%_libdir/vlc/*/*.so
%_libdir/vlc/*/*.la
#%_libdir/vlc/*.a
#%_libdir/libvlc-control.so.*
%_libdir/libvlc.so.*
#%_datadir/vlc/fonts/FreeSerifBold.ttf
%_datadir

%if %{enable_ff}
%files firefox-plugin
%defattr(-,root,root)
%_libdir/firefox/plugins/libvlcplugin.la
%_libdir/firefox/plugins/libvlcplugin.so
%endif

%files devel
%defattr(-,root,root)
%_bindir/vlc-config
%_includedir
%_libdir/*.so
%_libdir/*.la
#%_libdir/*.a


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 10 2008 Christian Metzen <metzench@ccux-linux.de> 0.8.6i-1
- Version update
* Sat Jun 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6h-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6f-4
- rebuilt against gnutls 2.2.2
* Sun Apr 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6f-3
- temporarily disabled firefox-plugin
* Sat Apr 12 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6f-2
- moved firefox plugin to separate package
- rebuilt with internal ffmpeg to fix unrecognized xvid bug
* Sat Apr 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6f-1
- Version update
* Sun Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6e-1
- Version update
* Sat Jan 05 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6d-3
- switched to SVN Revision 24084
* Fri Jan 04 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6d-2
- rebuild against new ffmpeg and x264
* Thu Nov 29 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6d-1
- Version update
* Sun Nov 04 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6c-3
- rebuild against x264-20071104
* Sun Oct 14 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6c-2
- rebuild against latest wxGTK
* Mon Jun 18 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6c-1
- Version update
* Thu Apr 19 2007 Christian Wasem <wasem@ccux-linux.de> 0.8.6b-1
- Version Update
* Tue Apr 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6a-2
- rebuilt against libmpcdec 1.2.5
* Mon Jan 08 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.6a-1
- Version update
* Wed Dec 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.8.6-2
- rebuilt against new libcdio
* Tue Dec 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.6-1
- Version update
- refined BuildRequires list
* Fri Dec 01 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.5-4
- rebuild against latest ffmpeg
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.5-3
- rebuilt against dbus 0.93
* Mon Sep 18 2006 Christian Metzen <metzench@ccux-linux.de> 0.8.5-2
- rebuilt against newest ffmpeg, default disabled x264 plugin
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.8.5-1
- Version update
* Thu Apr 27 2006 Christian Wasem <wasem@ccux-linux.de> 0.8.4a-2
- rebuilt against wxGTK-2.6.3
* Sun Dec 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.8.4a-1
- Version Update, adjusted build requirements
* Tue Sep 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.2-3
- rebuild against newest GTK
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.2-2
- rebuild for wxGTK 2.6.1-3
* Sun Jun 26 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.2-1
- update to Version 0.8.2
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.8.1-7
- rebuild for wxGTK 2.6.1, adding more description
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.1-6
- Recompilation against flac
* Fri Jun 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.8.1-5
- Recompilation against flac
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.8.1-4
- Recompilation against libcddb. libcdio, moved .desktop Location
* Mon Feb 06 2005 Christian Wasem <wasem@cux-linux.de> 0.8.1-3
- insert vcl-devel in Obsoletes-Tag
* Mon Feb 06 2005 Christian Wasem <wasem@cux-linux.de> 0.8.1-2
- fixed some problems with playing videofiles, development
- package has been removed, now included in main package.   
* Sun Feb 06 2005 Christian Wasem <wasem@cux-linux.de> 0.8.1-1
- update to version 0.8.1-1
